Subject: bug#76165: [PATCH] ansi-osc-directory-tracker respects Tramp remote files

From: Ship Mints <[email-masked]>
Date: Mon, 10 Feb 2025 09:33:55 -0500

My desktop mac's local host name is tlok.local. I open a shell buffer as
"/ssh:tlok.local:/Users/shipmints/" and as I "cd" around, I expect the
remote file prefix "/ssh:tlok.local:" to be maintained. If the host name
component is used as a discriminator, I don't get that benefit despite that
there actually is an active ssh connection. I think it should be respected
all the time as the user asked for it explicitly.

On Mon, Feb 10, 2025 at 9:31 AM Michael Albinus <[email-masked]>
wrote:

> Ship Mints <[email-masked]> writes:
>
> Hi,
>
> > I think that won't work for a use case where I often will initiate a
> > connection back to my own machine and I do want the effect of
> > retaining remote file semantics in default-directory?
>
> Don't understand the scenario. Could you give an example?
>
> Best regards, Michael.
>